UI::Util::auto_cvec< P > Class Template Reference

Control freeing of C vector pointers via delete[]. More...

`#include <Misc.hpp>`

Inheritance diagram for UI::Util::auto_cvec< P >:
Collaboration diagram for UI::Util::auto_cvec< P >:

## Public Member Functions

| auto_cvec (P *const p)
| Control this C vector pointer created via new P[n].
| ~auto_cvec ()
| Free memory held by C vector via delete[].
P & | operator[] (int i)
| Access an C vector element.
Public Member Functions inherited from UI::Util::auto_base< P >
| auto_base (P *const p=0)
| Construct from any pointer (may be 0).
void | set (P *const p)
| Set controlled pointer (must not be 0).
P * | get () const
| Get underlying pointer.
P * | operator-> () const
| Smart dereferencing.

## Additional Inherited Members

Protected Attributes inherited from UI::Util::auto_base< P >
P * | p_
| Controlled pointer.

## Detailed Description

template<typename P>
class UI::Util::auto_cvec< P >

Control freeing of C vector pointers via delete[].

The documentation for this class was generated from the following file:

- Misc.hpp